<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" th:href="@{/css/bootstrap.css}" />
    <link rel="stylesheet" th:href="@{/css/style.css}" />
    <script th:src="@{/js/fontawesome.js}"></script>
</head>

<body class="body-login">
<nav class="navbar navbar-light bg-light">

    <span class="navbar-brand mb-0 h1">
        <img th:src="@{/img/favicon.png}" th:text="#{brand.wings.payment}">
        Wings Mobile - Pagos</span>
    <ul class="nav-item dropdown show mx-2">
        <a class="btn btn-outline-primary" id="dropdownLang" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <span th:text="#{locale.language}"></span></a>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
            <a class="dropdown-item" th:href="@{/locale(lang=es_ES)}" th:text="#{locale.language.es}">ES</a>
            <a class="dropdown-item" th:href="@{/locale(lang=en_US)}" th:text="#{locale.language.en}">US</a>
            <a class="dropdown-item" th:href="@{/locale(lang=it_IT)}" th:text="#{locale.language.it}">IT</a>
        </div>
    </ul>
</nav>

<img class="rounded mx-auto d-block" th:src="@{/img/wings_logo.png}" id="login-wings-logo">
<div class="container">
    <div class="row justify-content-center">
        <div class="col-xl-7 col-lg-9 col-md-9">
            <div class="card border-0 shadow-lg my-5">
                <div class="card-body">
                            <div th:if="${error == true}">
                                    <h3 class="d-flex justify-content-center" th:text="#{password.reset.request.error}"></h3>
                                <div class="row d-flex justify-content-center mt-3">
                                    <i class="fas fa-times mr-1" style="color: Tomato; font-size:25px;"></i>
                                    <p th:text="#{password.email.sent.error.message}"></p>
                                </div>
                                <br/>
                                <a class="btn btn-primary active float-right mb-1 mr-3" th:href="@{/passwordRecovery}" th:text="#{password.back}"></a>
                            </div>
                                <div th:if="${emailSent == true}">
                                    <h3 class="d-flex justify-content-center" th:text="#{password.reset.request}"></h3>
                                    <hr style="max-width: 15em;">
                                    <div class="row" style="margin-left: 5em;">
                                      <p th:text="#{password.email.sent.message}"></p>
                                      <strong th:utext="|&nbsp;${userEmail}|"></strong>
                                    </div>
                                    <p class="float-left" style="margin-left: 5em;" th:text="#{password.email.sent.steps}"></p>
                                    <a class="btn btn-primary active float-right mb-1 mr-3" th:href="@{/admin}" th:text="#{password.back}"></a>
                                </div>
                        </div>
                            <div th:if="${emailSent == false || error == false}" class="p-3">
                                <div class="col-lg-6 offset-3">
                                      <div class="text-center">
                                        <h4 class="text-gray-900 mb-4" th:text="#{login.payment}"></h4>
                                        </div>
                                    <form id="form-fp" th:action="@{/user/resetPassword}" method="post">
                                        <div class="form-group">
                                            <input type="email" id='userEmail' name="email" class="form-control form-control-user" th:placeholder="#{login.payment.email}" required/>
                                        </div>
                                        <div class="form-group col-lg">
                                            <button id="forgot-password-btn" class="btn btn-primary btn-block btn-user center" th:text="#{login.payment.restore.password}" type="submit"></button>
                                        </div>
                                    </form>
                                    <hr>
                                </div>
                            </div>
                        </div>
                </div>
            </div>
        </div>
    </div>
</div>
<footer class="sticky-footer bg-white " id="footer-login">
    <div class="container my-auto">
        <div class="copyright text-center my-auto">
            <span>Copyright &copy; Wings Mobile 2020</span>
        </div>
    </div>
</footer>
<script th:src="@{/js/jquery-2.0.0.min.js}"></script>
<script th:src="@{/js/popper.min.js}"></script>
<script th:src="@{/js/bootstrap.min.js}"></script>
</body>

</html>